//
//  ViewController.m
//  ex_MapKit
//
//  Created by yoshiyuki oshige on 2014/03/06.
//  Copyright (c) 2014年 yoshiyuki. All rights reserved.
//

#import "ViewController.h"
#import <MapKit/MapKit.h>

@interface ViewController ()
// マップビューと接続されているプロパティ宣言
@property (weak, nonatomic) IBOutlet MKMapView *myMapView;
// followボタンのアクションと接続されているメソッド宣言
- (IBAction)startFollow:(UIBarButtonItem *)sender;
@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

// ユーザートラッキングモードをFollowにする
- (IBAction)startFollow:(UIBarButtonItem *)sender {
    [self.myMapView setUserTrackingMode:MKUserTrackingModeFollow animated:YES];
}

@end
